<div *ngIf="isStatusDone">
    <div class="card status-done">
        <div class="card-header d-flex"><i class="fa fa-info-circle"></i><h6>Info</h6></div>
        <div class="card-body p-2">
            <div><p>The self questionnaire assessment has already sent to AOC officer(s) for attestation</p></div>
            <div class="pull-right mt-5 mb-2"><jhi-button (click)="routeToHome()" notification-ok>OK</jhi-button></div>
        </div>
    </div>
</div>
<div *ngIf="!isStatusDone">
    <div *ngIf="isPendingPage" class="pending-btn">
        <jhi-button pending (click)="reset()"><b>Assessment Notification Pending</b></jhi-button>
    </div>
    <div *ngIf="!isPendingPage" class="notification">
        <div class="section">
            <div>
                <span>Do you want to send notification to QSA(Assessor) for self-assessment questionnaire correction?</span>
            </div>
            <form #notificationForm="ngForm">
                <div class="grid-radio">
                    <label for="yes" class="mb-2 ml-4">
                        <input id="yes" name="qsa" type="radio" [value]="STATUS.YES"
                               [(ngModel)]="selectedOption" required>Yes
                    </label>
                    <label for="no" class="mb-2 ml-4">
                        <input id="no" name="qsa" type="radio" [value]="STATUS.NO"
                               [(ngModel)]="selectedOption" required>No
                    </label>
                </div>
                <div *ngIf="selectedOption === STATUS.YES">
                    <div><span>Select Quality Assurance Officers to send notification:</span></div>
                    <div class="form-group mt-4 ml-3 btn-group dropdown" dropdown>
                        <div dropdownToggle class="dropdown-toggle custom-dropdown form-control">
                            {{reviewDetails?.qsaId.tenantId}}
                        </div>
                        <ul *dropdownMenu class="dropdown-menu" role="menu">
                            <li role="menuitem">
                                <a class="dropdown-item form-control" href="javascript:">
                                    {{reviewDetails.qsaId.tenantId}}
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div class="text-center mt-5">
                        <jhi-button (click)="sendToQSA()" submit>Send to QSA</jhi-button>
                    </div>
                </div>
                <div *ngIf="selectedOption === STATUS.NO">
                    <div><span>Do you want to send notification to AOC office for self-assessment questionnaire Attestation?</span>
                    </div>
                    <div class="grid-radio">
                        <label for="aocYes" class="mb-2 ml-4">
                            <input id="aocYes" name="aoc" type="radio" [value]="AOC_STATUS.YES"
                                   [(ngModel)]="selectedAOCOption" required>Yes
                        </label>
                        <label for="aocNo" class="mb-2 ml-4" (click)="isPendingPage = true">
                            <input id="aocNo" name="aoc" type="radio" [value]="AOC_STATUS.NO"
                                   [(ngModel)]="selectedAOCOption" required>No
                        </label>
                    </div>
                    <div *ngIf="selectedAOCOption === AOC_STATUS.YES">
                        <div><span>Select AOC officers to send notification:</span></div>
                        <div class="pl-3">
                            <div class="dropdown-row mt-4">
                                <div class="w-25"><b>Service Provider Attestation:</b></div>
                                <div class="form-group btn-group dropdown" dropdown>
                                    <div dropdownToggle class="dropdown-toggle custom-dropdown form-control">
                                        {{selectedQSA ? selectedQSA.firstName+' '+selectedQSA.lastName : '-- Select --'}}
                                    </div>
                                    <ul *dropdownMenu class="dropdown-menu" role="menu">
                                        <li *ngFor="let officer of qsaNotification" role="menuitem">
                                            <a class="dropdown-item form-control" href="javascript:"
                                               (click)="selectedQSA=officer">{{officer.firstName +' '+
                                                officer.lastName}}
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <div class="dropdown-row mt-4">
                                <div class="w-25"><b>Qualified Security Assessor Acknowledgement (if applicable):</b>
                                </div>
                                <div class="form-group btn-group dropdown" dropdown>
                                    <div dropdownToggle class="dropdown-toggle custom-dropdown form-control">
                                        {{selectedQSAOfficer ? selectedQSAOfficer.firstName+' '+
                                        selectedQSAOfficer.lastName : '-- Select --'}}
                                    </div>
                                    <ul *dropdownMenu class="dropdown-menu" role="menu">
                                        <li *ngFor="let officer of qsaOfficerNotification" role="menuitem">
                                            <a class="dropdown-item form-control" href="javascript:"
                                               (click)="selectedQSAOfficer=officer">{{officer.firstName +' '+
                                                officer.lastName}}
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <div class="dropdown-row mt-4">
                                <div class="w-25"><b>Internal Security Assessor (ISA) Involvement (if applicable):</b>
                                </div>
                                <div class="form-group btn-group dropdown" dropdown>
                                    <div dropdownToggle class="dropdown-toggle custom-dropdown form-control">
                                        {{selectedISA ? selectedISA.firstName+' '+ selectedISA.lastName : '-- Select --'}}
                                    </div>
                                    <ul *dropdownMenu class="dropdown-menu" role="menu">
                                        <li *ngFor="let officer of isaNotification" role="menuitem">
                                            <a class="dropdown-item form-control" href="javascript:"
                                               (click)="selectedISA=officer">{{officer.firstName +' '+
                                                officer.lastName}}
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="text-center mt-5">
                            <jhi-button [class.disabled]="!selectedQSA || !selectedQSAOfficer || !selectedISA"
                                        (click)="sendToAOC()" submit>Send to AOC
                            </jhi-button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
